<div
  class="background-image"
  [style.backgroundImage]="'url(' + musicservice.audio.tracks[0].art + ')'"
></div>
<ion-content padding>
  <button (click)="back()" ion-button clear icon-only>
    <ion-icon name="arrow-back"></ion-icon>
  </button>
  <h1>{{ musicservice.playingTrack.title }}</h1>
  <h5>{{ musicservice.playingTrack.artist }}</h5>
  <p class="lyrics"></p>
</ion-content>
<ion-footer>
  <ion-row style="height:7%">
    <ion-col col-12>
      <audio-track-progress-bar
        progress
        duration
        [audioTrack]="musicservice.audio.tracks[0]"
        style="color:white"
      >
      </audio-track-progress-bar>
    </ion-col>
  </ion-row>
  <ion-row class="play_buttons" style="height:20%">
    <ion-col col-3 style="text-align: center">
      <button
        (click)="musicservice.toggleShuffle()"
        *ngIf="musicservice.shuffle"
        ion-button
        clear
        style="color:#faa74a"
        icon-only
      >
        <ion-icon name="ios-shuffle"></ion-icon>
      </button>
      <button
        (click)="musicservice.toggleShuffle()"
        *ngIf="!musicservice.shuffle"
        ion-button
        clear
        style="color:white"
        icon-only
      >
        <ion-icon name="ios-shuffle"></ion-icon>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: center" class="pbutton">
      <button
        (click)="musicservice.prev()"
        ion-button
        clear
        style="color:rgba(225,225,225,1)"
        icon-only
      >
        <ion-icon name="skip-backward"></ion-icon>
      </button>
    </ion-col>

    <ion-col col-2 style="text-align: center;left: 3px;" class="pbutton pplay">
      <audio-track-play
        class="small"
        [audioTrack]="musicservice.audio.tracks[0]"
        style="font-size: 150%"
      >
      </audio-track-play>
    </ion-col>

    <ion-col col-2 style="text-align: center" class="pbutton">
      <button
        (click)="musicservice.next()"
        ion-button
        clear
        style="color:rgba(225,225,225,1)"
        icon-only
      >
        <ion-icon name="skip-forward"></ion-icon>
      </button>
    </ion-col>

    <ion-col col-3 style="text-align: center">
      <button
        (click)="musicservice.toggleRepeat()"
        *ngIf="musicservice.repeat == 0"
        ion-button
        clear
        style="color:#fff !important"
        icon-only
      >
        <ion-icon name="ios-repeat"></ion-icon>
      </button>

      <button
        (click)="musicservice.toggleRepeat()"
        *ngIf="musicservice.repeat == 1"
        ion-button
        clear
        style="color:#faa74a !important"
        icon-only
      >
        <ion-icon name="ios-repeat"></ion-icon>
      </button>

      <button
        (click)="musicservice.toggleRepeat()"
        *ngIf="musicservice.repeat == 2"
        ion-button
        clear
        style="color:#faa74a !important"
        icon-only
      >
        1
        <ion-icon name="ios-repeat"></ion-icon>
      </button>
    </ion-col>
  </ion-row>
  <ion-row>
    <br />
  </ion-row>
</ion-footer>
